<div class='basicAttributes'>
  <div class='flexrow attributes-list'>
    {{#each data.system.base.basicAttributes as |attr key|}}
      <div class='attribute' data-attribute='{{key}}'>
        <div class='attribute-label'><a name='{{key}}' title='Probe'><i
              class='fas fa-dice-d20'
            ></i>
            {{localize (concat 'DSA.' key)}}</a></div>
        <div class='flexrow'>
          <input
            name='system.base.basicAttributes.{{key}}.value'
            type='number'
            data-dtype='Number'
            value='{{attr.value}}'
            placeholder='Wert'
          />
        </div>
      </div>
    {{/each}}
  </div>
</div>
<div class='combatAttributes'>
  <div class='flexrow combat-attributes-list'>
    {{#each data.system.base.combatAttributes.active as |attr key|}}
      <div class='attribute' data-attribute='{{key}}'>
        <div class='attribute-label'>{{localize (concat 'DSA.' key)}}</div>
        <div class='flexrow'>
          <input
            name='system.base.combatAttributes.active.{{key}}.value'
            type='number'
            data-dtype='Number'
            value='{{attr.value}}'
            placeholder='Wert'
          />
        </div>
      </div>
    {{/each}}
    <div class='attribute' data-attribute='magicResistance'>
      <div class='attribute-label'>{{localize
          (concat 'DSA.magicResistance')
        }}</div>
      <div class='flexrow'>
        <input
          name='system.base.combatAttributes.passive.magicResistance.value'
          type='number'
          data-dtype='Number'
          value='{{data.system.base.combatAttributes.passive.magicResistance.value}}'
          placeholder='Wert'
        />
      </div>
    </div>
    <div class='attribute' data-attribute='speed'>
      <div class='attribute-label'>{{localize (concat 'DSA.speed')}}</div>
      <div class='flexrow'>
        <input
          name='system.base.movement.speed.value'
          type='number'
          data-dtype='Number'
          value='{{data.system.base.movement.speed.value}}'
          placeholder='Wert'
        />
      </div>
    </div>
  </div>
</div>
<div class='resources'>
  <table>
    <tr>
      <td></td>
      <td>{{localize 'DSA.current'}}</td>
      <td>{{localize 'DSA.total'}}</td>
    </tr>
    {{#each data.system.base.resources as |resource key|}}
      <tr>
        <td>{{localize (concat 'DSA.' key)}}</td>
        <td>
          <input
            name='system.base.resources.{{key}}.value'
            type='number'
            data-dtype='Number'
            value='{{resource.value}}'
            placeholder='Wert'
          />
        </td>
        <td>
          <input
            name='system.base.resources.{{key}}.max'
            type='number'
            data-dtype='Number'
            value='{{resource.max}}'
            placeholder='Wert'
          />
        </td>
      </tr>
    {{/each}}
  </table>
</div>
<div class='traits'>
  <div class='traits-label'>
    {{localize 'DSA.advantages'}}
  </div>
  <div class='flexrow traits-list'>
    {{#each owned.advantages as |advantage key|}}
      <div class='trait' data-attribute='{{key}}'>
        <div class='trait-label'>
          <i class='mode fas fa-angle-up'></i>
          {{advantage.name}}
          {{#if advantage.system.value}}
            ({{advantage.system.value}})
          {{/if}}
        </div>
        <div class='trait-description collapsed' style='display: none;'>
          <a class='item-control item-edit' name='{{advantage._id}}'>
            <i class='fas fa-edit'></i>
          </a>
          {{advantage.system.description}}
        </div>
      </div>
    {{/each}}
  </div>
  <div class='traits-label'>
    {{localize 'DSA.disadvantages'}}
  </div>
  <div class='flexrow traits-list'>
    {{#each owned.disadvantages as |disadvantage key|}}
      <div class='trait' data-attribute='{{key}}'>
        <div class='trait-label'>
          <i class='mode fas fa-angle-up'></i>
          {{#if disadvantage.system.negativeAttribute}}
            <a name='{{disadvantage._id}}'>
              {{disadvantage.name}}
              {{#if disadvantage.system.value}}
                ({{disadvantage.system.value}})
              {{/if}}
            </a>
          {{else}}
            {{disadvantage.name}}
            {{#if disadvantage.system.value}}
              ({{disadvantage.system.value}})
            {{/if}}
          {{/if}}
        </div>
        <div class='trait-description collapsed' style='display: none;'>
          <a class='item-control item-edit' name='{{disadvantage._id}}'>
            <i class='fas fa-edit'></i>
          </a>
          {{disadvantage.system.description}}
        </div>
      </div>
    {{/each}}
  </div>
</div>
<div class='special-abilities'>
  <div class='special-abilities-label'>
    {{localize 'DSA.specialAbilitys'}}
  </div>
  <div class='flexrow special-abilities-list'>
    {{#each owned.specialAbilitys as |specialAbility key|}}
      <div class='special-ability' data-attribute='{{key}}'>
        <div class='special-ability-label'>
          <i class='mode fas fa-angle-up'></i>
          {{specialAbility.name}}
        </div>
        <div
          class='special-ability-description collapsed'
          style='display: none;'
        >
          <a class='item-control item-edit' name='{{specialAbility._id}}'>
            <i class='fas fa-edit'></i>
          </a>
          {{specialAbility.system.description}}
        </div>
      </div>
    {{/each}}
  </div>
</div>
<div class='description' data-attribute='base.appearance.description'>
  <div class='attribute-label'>{{localize 'DSA.description'}}</div>
  <div class='flexrow'>
    <textarea
      name='system.base.appearance.description'
      data-dtype='String'
    >{{data.system.base.appearance.description}}</textarea>
  </div>
</div>

<div class='effects'>
  <div class='effects-label flexrow'>
    <div>
      {{localize 'DSA.effects'}}
    </div>
    <div style='text-align: right;'>
      <a class='effect-add'><i class='fas fa-plus'></i></a>
    </div>
  </div>
  <div class='effects-list'>
    {{#each effects as |effect id|}}
      <div {{#if effect.disabled}} style="color:grey" {{/if}}>
        <img src='{{effect.icon}}' />
        <a class='effect-edit' name='{{effect._id}}'>{{effect.name}}</a>
        <a class='effect-delete' name='{{effect._id}}'><i
            class='fas fa-trash'
          ></i></a>
        <a class='effect-disable' name='{{effect._id}}'><i
            class='fas fa-power-off'
          ></i></a>
      </div>
    {{/each}}
  </div>
</div>